Get Calendar Views

Purpose

To retrieve the calendar views configured for the current user. You can filter by calendar type (custom or system) or fetch the last accessed calendar view.

Endpoints

  • GET /settings/calendar
  • GET /settings/calendar/{calendar_ID}

Request Details

Request URL

{api-domain}/crm/{version}/settings/calendar
or
{api-domain}/crm/{version}/settings/calendar/{calendar_ID}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.calendar.ALL 
(or)
ZohoCRM.settings.calendar.READ

Parameters

  • filtersJSON object, optional

    JSON object to filter the response based on the creation type or fetch the last accessed calendar view. Note that you must encode the request if you use this parameter.

    • typestring, optional

      To get the default system-defined calendar views or custom-created calendar views. Possible values are system and custom.
      Supported comparators are equal and not_equal.

    • last_accessedBoolean, optional

      To get the last accessed calendar view. Supported comparators are equal and not_equal.

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/calendar?filters=%7B%22field%22%3A%7B%22api_name%22%3A%22last_accessed%22%7D%2C%22comparator%22%3A%22equal%22%2C%22value%22%3Atrue%7D"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Response JSON keys

  • idstring

    The unique ID of the calendar view.

  • namestring

    The name of the the calendar view.

  • usersJSON array

    Represents the ID and name of the users that are part of this calendar view.

  • typestring

    The type of calendar view. "system" represents that the calendar view is system-generated and "custom" represents that it is a user-defined calendar view.

  • categorystring

    Represents the membership classification of the calendar view. The possible values are "users" and "user_groups".

  • ownerJSON object

    The name and ID of the owner of the calendar view.

  • user_groupsJSON array

    Name and ID of the user groups that have access to this calendar view.

  • $has_moreJSON object

    Represents if there are more users and user groups that have access to this calendar view.

  • sequence_numberinteger

    The ordering index for display sequencing.

  • last_accessedBoolean

    Represents if the user accessed this calendar view last.

  • last_accessed_timestring

    Represents the date and time in the ISO8601 format that the user last accessed the calendar view.

  • created_timestring

    Represents the date and time in the ISO8601 format that the calendar view was created.

  • modified_timestring

    Represents the date and time in the ISO8601 format that the calendar view was last modified.

Possible Errors

  • INVALID_REQUEST_METHODHTTP 400

    The request method is incorrect.
    Resolution: Use the HTTP GET method to make this API call. Any other request method will result in this error.

  • DEPENDENT_FIELD_MISSINGHTTP 400

    You have included the group operator but not the fields in the group for the filters parameter.
    Resolution: You must include group operator, group, fields in the filters parameter in the request.

  • INVALID_MODULEHTTP 400

    You have specified an incorrect module name in the request.
    Resolution: Refer to Get Modules API for the API names of the module.

  • NOT_SUPPORTEDHTTP 400

    The module you have specified in the request does not support calendar activities.
    Resolution: You can get the calendar activities only for Tasks, Meetings, and Calls modules.

  • AUTHORIZATION_FAILEDHTTP 400

    You do not have sufficient permission to view the calendar activities of the user(s).
    Resolution: Contact your system administrator.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    The access token you have used to make this API call does not have the required scope.
    Resolution: Generate a new access token with the scope mentioned in the Scopes section.

  • NO_PERMISSIONHTTP 403

    The user does not have permission to view calendar preferences.
    Resolution: Contact your system administrator.

  • INVALID_URL_PATTERNHTTP 404

    The request URL is incorrect.
    Resolution: Specify a valid request URL. Refer to the Request URL section for the right URL.

  • INTERNAL_ERRORHTTP 500

    Unexpected and unhandled exception in the server. 
    Resolution: Contact the support team at support@zohocrm.com.

Sample Response

Copied{
    "calendar": [
        {
            "id": "554023000006088013",
            "name": "Calendartest_New",
            "users": [
                {
                    "id": "554023000000235011",
                    "name": "Patricia Boyle"
                }
            ],
            "type": "custom",
            "category": "user",
            "owner": {
                "id": "554023000000235011",
                "name": "Patricia Boyle"
            },
            "user_groups": null,
            "$has_more": {
                "users": false,
                "user_groups": false
            },
            "sequence_number": 8,
            "last_accessed": true,
            "last_accessed_time": "2026-01-02T01:12:02-11:00",
            "created_time": "2026-01-01T18:29:21-11:00",
            "modified_time": "2026-01-02T01:12:02-11:00"
        }
    ],
    "info": {
        "page": 1,
        "count": 1,
        "per_page": 200,
        "more_records": false
    }
}